On Mon, Apr 24, 2017 at 5:41 PM, Matthias Leopold
<matthias.leop...@meduniwien.ac.at> wrote:
>
>
> Am 2017-04-24 um 16:37 schrieb Yedidyah Bar David:
>>
>> On Mon, Apr 24, 2017 at 5:28 PM, Matthias Leopold
>> <matthias.leop...@meduniwien.ac.at> wrote:
>>>
>>> hi,
>>>
>>> i'm still testing ovirt 4.1.
>>>
>>> i installed engine and 2 nodes in vanilla centos 7.3 hosts with
>>> everything
>>> that came from
>>> http://resources.ovirt.org/pub/yum-repo/ovirt-release41.rpm
>>>
>>> i regularly checked for updates in the engine host OS with "yum update"
>>> (is
>>> there a gui option for this?). it obviously got an ovirt update from
>>> version
>>> 4.1.0 to 4.1.1.1 already some time ago.
>>>
>>> i regularly checked for updates in the nodes via the ovirt web gui
>>> (installation - check for upgrade). there where package updates available
>>> and installed in the past so i thought that everything was fine.
>>>
>>> now i checked with "yum check-update" in the nodes OS shell and noticed
>>> that
>>> ovirt-release41 is still on 4.1.0 and there are 81 packages available for
>>> update (from centos base _and_ ovirt repos including ovirt-release41
>>> itself). ovirt gui tells me 'no updates found'.
>>
>>
>> I think this function only checks for specific packages, not everything
>> yum reports.
>>
>>>
>>> why didn't these updates get installed? is it because of the
>>> ovirt-release41
>>> update? do i have to do this manually with yum?
>>
>>
>> ovirt-release41 itself is not one of these packages, and should in
>> principle
>> be considered "another package" (just like any other package you installed
>> on your machine).
>>
>> Which packages does yum say you have updates for?
>
>
> firts my repos, to be sure:
>
> # yum repolist
> ...
> Repo-ID                                        Repo-Name:
> Status
> base/7/x86_64                                  CentOS-7 - Base
> 9.363
> centos-opstools-testing/x86_64                 CentOS-7 - OpsTools - testing
> repo                                          448
> centos-ovirt-common-candidate/x86_64           CentOS-7 - oVirt common
> 198
> centos-ovirt41-candidate/x86_64                CentOS-7 - oVirt 4.1
> 95
> extras/7/x86_64                                CentOS-7 - Extras
> 337
> ovirt-4.1/7                                    Latest oVirt 4.1 Release
> 455
> ovirt-4.1-centos-gluster38/x86_64              CentOS-7 - Gluster 3.8
> 181
> ovirt-4.1-epel/x86_64                          Extra Packages for Enterprise
> Linux 7 - x86_64                           11.550
> ovirt-4.1-patternfly1-noarch-epel/x86_64       Copr repo for patternfly1
> owned by patternfly                                 2
> updates/7/x86_64                               CentOS-7 - Updates
> 1.575
> virtio-win-stable                              virtio-win builds roughly
> matching what was shipped in latest RHEL            4
> repolist: 24.208
>
> # yum check-update
> ...
> NetworkManager.x86_64                                   1:1.4.0-19.el7_3
> updates
> NetworkManager-config-server.x86_64                     1:1.4.0-19.el7_3
> updates
> NetworkManager-libnm.x86_64                             1:1.4.0-19.el7_3
> updates
> NetworkManager-team.x86_64                              1:1.4.0-19.el7_3
> updates
> NetworkManager-tui.x86_64                               1:1.4.0-19.el7_3
> updates
> NetworkManager-wifi.x86_64                              1:1.4.0-19.el7_3
> updates
> bind-libs-lite.x86_64 32:9.9.4-38.el7_3.3                         updates
> bind-license.noarch 32:9.9.4-38.el7_3.3                         updates
> ca-certificates.noarch 2017.2.11-70.1.el7_3                        updates
> dmidecode.x86_64                                        1:3.0-2.1.el7_3
> updates
> fence-agents-all.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-apc.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-apc-snmp.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-bladecenter.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-brocade.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-cisco-mds.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-cisco-ucs.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-common.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-compute.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-drac5.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-eaton-snmp.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-emerson.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-eps.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-hpblade.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ibmblade.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ifmib.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ilo-moonshot.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ilo-mp.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ilo-ssh.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ilo2.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-intelmodular.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-ipdu.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-ipmilan.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-kdump.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-mpath.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-rhevm.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-rsa.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-rsb.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-scsi.x86_64 4.0.11-47.el7_3.5                           updates
> fence-agents-vmware-soap.x86_64 4.0.11-47.el7_3.5
> updates
> fence-agents-wti.x86_64 4.0.11-47.el7_3.5                           updates
> glusterfs.x86_64                                        3.8.11-1.el7
> ovirt-4.1-centos-gluster38
> glusterfs-api.x86_64                                    3.8.11-1.el7
> ovirt-4.1-centos-gluster38
> glusterfs-cli.x86_64                                    3.8.11-1.el7
> ovirt-4.1-centos-gluster38
> glusterfs-client-xlators.x86_64                         3.8.11-1.el7
> ovirt-4.1-centos-gluster38
> glusterfs-fuse.x86_64                                   3.8.11-1.el7
> ovirt-4.1-centos-gluster38
> glusterfs-libs.x86_64                                   3.8.11-1.el7
> ovirt-4.1-centos-gluster38
> grubby.x86_64                                           8.28-21.el7_3
> updates
> initscripts.x86_64 9.49.37-1.el7_3.1                           updates
> irqbalance.x86_64 3:1.0.7-6.el7_3.1                           updates
> kernel.x86_64 3.10.0-514.16.1.el7                         updates
> kernel-tools.x86_64 3.10.0-514.16.1.el7                         updates
> kernel-tools-libs.x86_64 3.10.0-514.16.1.el7                         updates
> libblkid.x86_64 2.23.2-33.el7_3.2                           updates
> libgudev1.x86_64                                        219-30.el7_3.8
> updates
> libmount.x86_64 2.23.2-33.el7_3.2                           updates
> libtool-ltdl.x86_64                                     2.4.2-22.el7_3
> updates
> libuuid.x86_64 2.23.2-33.el7_3.2                           updates
> net-snmp-libs.x86_64 1:5.7.2-24.el7_3.2                          updates
> net-snmp-utils.x86_64 1:5.7.2-24.el7_3.2                          updates
> nss.x86_64                                              3.28.4-1.0.el7_3
> updates
> nss-sysinit.x86_64                                      3.28.4-1.0.el7_3
> updates
> nss-tools.x86_64                                        3.28.4-1.0.el7_3
> updates
> nss-util.x86_64                                         3.28.4-1.0.el7_3
> updates
> ntp.x86_64 4.2.6p5-25.el7.centos.2                     updates
> ntpdate.x86_64 4.2.6p5-25.el7.centos.2                     updates
> openssh.x86_64                                          6.6.1p1-35.el7_3
> updates
> openssh-clients.x86_64                                  6.6.1p1-35.el7_3
> updates
> openssh-server.x86_64                                   6.6.1p1-35.el7_3
> updates
> openvswitch.x86_64 2.7.0-1.el7.centos                          ovirt-4.1
> ovirt-release41.noarch 4.1.1.1-1.el7.centos                        ovirt-4.1
> pulseaudio-libs.x86_64                                  6.0-9.el7_3
> updates
> python-perf.x86_64 3.10.0-514.16.1.el7                         updates
> selinux-policy.noarch 3.13.1-102.el7_3.16                         updates
> selinux-policy-targeted.noarch 3.13.1-102.el7_3.16
> updates
> systemd.x86_64                                          219-30.el7_3.8
> updates
> systemd-libs.x86_64                                     219-30.el7_3.8
> updates
> systemd-python.x86_64                                   219-30.el7_3.8
> updates
> systemd-sysv.x86_64                                     219-30.el7_3.8
> updates
> tzdata.noarch                                           2017b-1.el7
> updates
> util-linux.x86_64 2.23.2-33.el7_3.2                           updates

Looks ok to me. Please check the upgrade guide for details:

http://www.ovirt.org/documentation/upgrade-guide/chap-Updates_between_Minor_Releases/

It wasn't updated for 4.1 but the principles remain the same.

Best,
-- 
Didi
_______________________________________________
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users

Reply via email to